%define upstream_name    Parallel-ForkManager
%define upstream_version 2.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple parallel processing fork manager
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is intended for use in operations that can be done in parallel
where the number of processes to be forked off should be limited. Typical
use is a downloader which will be retrieving hundreds/thousands of files.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 26 2024 tv <tv> 2.30.0-1.mga10
+ Revision: 2091479
- update to 2.03

* Tue Mar 22 2022 umeabot <umeabot> 2.20.0-3.mga9
+ Revision: 1819271
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.20.0-2.mga8
+ Revision: 1519316
- Mageia 8 Mass Rebuild

* Wed Oct 10 2018 tv <tv> 2.20.0-1.mga7
+ Revision: 1319302
- update to 2.02

* Thu Sep 20 2018 umeabot <umeabot> 1.200.0-2.mga7
+ Revision: 1285481
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1.200.0-1.mga7
+ Revision: 1246517
- update to 1.20

* Sat Jul 22 2017 shlomif <shlomif> 1.190.0-1.mga7
+ Revision: 1128862
- update to 1.19

* Sun Jun 19 2016 pterjan <pterjan> 1.180.0-2.mga6
+ Revision: 1031628
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.180.0-1.mga6
+ Revision: 1002284
- update to 1.18

* Sat Jan 16 2016 shlomif <shlomif> 1.170.0-1.mga6
+ Revision: 923912
- update to 1.17

* Wed Oct 14 2015 sander85 <sander85> 1.160.0-1.mga6
+ Revision: 891495
- update to 1.16

* Mon Jul 13 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 853557
- update to 1.15

* Sat Jul 04 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 850413
- update to 1.14

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-3.mga5
+ Revision: 745134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-2.mga5
+ Revision: 685876
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.60.0-1.mga5
+ Revision: 586666
- update to 1.06

* Mon Oct 21 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 537403
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 486909
- update to 1.05

* Sun Sep 08 2013 sander85 <sander85> 1.40.0-1.mga4
+ Revision: 476067
- update to 1.04

* Sun Jan 13 2013 umeabot <umeabot> 0.7.9-2.mga3
+ Revision: 371455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.7.9-1.mga1
+ Revision: 26795
- mageia rebuild
- imported package perl-Parallel-ForkManager

